---
title: VREyeParameters.renderHeight
slug: Web/API/VREyeParameters/renderHeight
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VREyeParameters
  - Virtual Reality
  - WebVR
  - renderHeight
---
<p>{{APIRef("WebVR API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>renderHeight</code></strong> read-only property of the {{domxref("VREyeParameters")}} interface describes the recommended render target height of each eye viewport, in pixels.</p>

<p>This is already in device pixel units, so there's no need to multiply by <a href="/en-US/docs/Web/API/Window/devicePixelRatio">Window.devicePixelRatio</a> before setting to <a href="/en-US/docs/Web/API/HTMLCanvasElement/height">HTMLCanvasElement.height.</a></p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myRenderHeight = eyeParametersInstance.renderHeight;</pre>

<h3 id="Value">Value</h3>

<p>A number, representing the height in pixels.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VREyeParameters", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vreyeparameters-renderheight', 'renderHeight')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VREyeParameters.renderHeight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
